input.fileUpload {
	cursor : default;
}

.dataEditor {
	vertical-align : middle;
	padding  : 0;
}

.dataEditor label, .dataLabel, .onlyLabel {
	white-space : nowrap;
	font-weight : bold;
	color  : #4A7AD2;
}

.disabled .dataEditor label, .disabled .dataLabel, .disabled .onlyLabel {
	font-style : italic;
	font-weight : normal;
}

.dataEditor label, .fieldView label {
	display : -moz-inline-box;
	display : inline-block;
	padding-right: 1px;
}
.dataEditor label.hint, .fieldView label.hint {
	text-decoration: underline; /* IE */
	text-decoration: dotted underline;
	cursor: help;
}

.captionL .dataEditor label, .captionL.fieldView label {
	text-align : right;
	float:left;     /* Obligatoire sous FF pour que les alignements à droite soient effectifs */
	padding-top : 3px;
	/* Pour IE 6 seulement */
	_float : none;
}
.captionL .dataEditor label, .captionL.fieldView label, .captionL.lookupString label {
	padding-right: 4px;
}
.captionR .dataEditor label, .captionR.fieldView label, .captionR.lookupString label {
	padding-left: 4px;
}
.captionL.fieldView label {
	padding-top : 1px;
}

label.radioLabel {
	float : none !important;
}

.captionT .dataEditor label, .captionT.fieldView label {
	display : block;
}

.dataEditor input, .dataEditor textarea, .dataEditor select, .fileUpload {
	border  : 1px solid #999;
	padding : 2px 2px;
	-moz-user-select : normal;
	margin  : 0;
}

.dataEditor select {
	padding : 0;
	padding-left : 2px;
}

.dataEditor select option {
	padding : 1px 2px;
}
.dataEditor select option[ disabled] {
    display: none;
}

.dataEditorNoRecord input, .dataEditorNoRecord textarea, .dataEditorNoRecord select {
	background-color : #ddd;
}

input:focus, textarea:focus, select:focus  {
	background-color : white !important;
}

.dataEditorRequieredField input, .dataEditorRequieredField textarea, .dataEditorRequieredField select  {
	background-color : #FEDDD4;
}

.dataEditorReadOnly input, .dataEditorReadOnly textarea, .dataEditorReadOnly select {
	background-color:transparent !important;
	color : gray;
	cursor:default;
}

.dataEditorReadOnly .btn {
	visibility : hidden;
}

.checkbox input, .radiobutton input {
	border : 0 !important;
}

.captionL .checkbox label {
	padding-top: 0px;
}

.captionL .radioButtonGroup label {
	padding-top: 1px;
}

input.fileInput {
	border : 1px inset !important;
	padding : 1px 2px;
	height  : 20px;
	cursor  : pointer;
}

div.gridView .dataEditor input, div.gridView .dataEditor textarea, div.gridView .dataEditor select {
}

.dataEditor input {
}

.dataEditor textarea {
}

.dataEditor select {
}

.gridView th.hiddenGridColumn, .gridView td.hiddenGridColumn {
    width : 0 !important;
    margin  : 0 !important;
    padding : 0 !important;
    border  : 0 !important;
    white-space : nowrap;
}
.gridView .hiddenGridColumn * {
    display:none !important;
}

.checkBoxGroup *, .radioButtonGroup * {
	vertical-align: middle;
	white-space : nowrap;
}

.checkBoxGroup div table, .radioButtonGroup div table {		
	no_padding-top:4px;
}

.checkBoxGroup div table td, .radioButtonGroup div table td {		
	padding-right:4px;
}

.checkBoxGroup div label, .radioButtonGroup div label {
	display : inline !important;
	font-weight : normal;
	padding-right: 0;
}

.checkBoxGroup label.checked {
	background-color: #DEFDFF;
	border : 1px inset gray;
	padding: 2px 3px;
}

.checkBoxGroup label.unchecked {
	background-color: transparent;
	border : 0;
	padding: 3px 4px;
}

.checkBoxGroup td, .radioButtonGroup td {
	padding : 2px 0;
}

.dateEdit input.hourEdit {
	margin-left : 2px;
	width       : 34px;
}
.dateEdit input {
	width : 64px;
}
.dureeEdit input, .intEdit input, .floatEdit input {
	text-align : right;
}

.dureeHourEdit label.jplus1 {
	float : none;
	padding-left : 3px;
}

.dureeHourEdit input{
	box-sizing: content-box;	
}

.hourEdit input {
	width : 34px;
}

div.htmlEdit {
	height: 100%;
}
div.htmlEdit * {
	vertical-align: baseline;
}
.htmlEdit .buttons {
	height: 24px;
}
.htmlEdit .buttons .button {
	height: 24px;
	width: 24px;
	text-align: center;
	display: table-cell;
	border: 1px solid transparent;
	border-radius: 4px;
	background-repeat: no-repeat;
	background-position: center center;
}
.htmlEdit .buttons .button:hover {
	border-color: orange;
	background-color: lightyellow;
}
.htmlEdit .buttons .button.active {
	border-color: orange;
	background-color: yellow;
}
.htmlEdit .content {
	margin-top: 1px;
	border: 1px solid black;
	border-radius: 3px;
	white-space: pre;
	overflow: auto;
}
.htmlEdit .content::selection, .htmlEdit .content *::selection {
	background: lightgray;
}
.htmlEdit textarea {
	margin-top: 4px;
	width: calc( 100% - 6px) !important;
}
/* CodeFieldEdit : zones de saisie d'une référence à une entité identifiable par code ou mots clés */

.codeFieldEdit {
}

.codeFieldEdit input {
	width   : 64px;
}

.codeFieldEdit span.lib {
	white-space   : nowrap;     /* Important pour que la zone contenant le libellé puisse se retailler convenablement */
	border-bottom : 1px dotted #999;
	padding       : 2px 0 1px 0;  /* Pour aligner le texte sur le centre de la boite */
	overflow      : hidden;
	text-overflow : ellipsis;
}

.codeFieldEdit span.fullLib {
	white-space: normal !important;
	overflow : visible;
	vertical-align : top;
}

.codeFieldEdit .btn, .codeFieldEdit .btnOver, .codeFieldEdit .btnActive {
	width   : 22px;
	height  : 18px;
	background: center center no-repeat url( ../img/buttons/codeFieldSearch.gif);
	border  : 1px none;
	padding : 1px 2px;
}
.codeFieldEdit .btn.palmares, .codeFieldEdit .btnOver.palmares, .codeFieldEdit .btnActive.palmares {
	background: center center no-repeat url( ../img/buttons/palmares.gif);
}
.codeFieldEdit .btnOver {
	padding : 0 1px;
	border-style: outset;
}
.codeFieldEdit .btnActive {
	padding : 0 1px;
	border-style: inset;
}

.codeFieldEdit .parentLib {  /* Affichage du libellé du noeud parent */
	font-size : 80%;
}

.codeFieldEdit .invalidCode {
	color : red;
	font-weight : bold;
}

/* DateEdit */

.dateEdit .btn {
	width   : 22px;
	height  : 18px;
	background: center center no-repeat url( ../img/buttons/calendrier.gif);
	border  : 1px none;
	padding : 1px 2px;
}
.dateEdit .datePickerOver {
	padding : 0 1px;
	border-style: outset;
	background-color : white;
}
.dateEdit .datePickerActive {
	padding : 0 1px;
	border-style: inset;
	background-color : white;
}

/* Saisie assistée*/

input.editAssistantLoad {
	background-repeat : no-repeat;
	background-position :  center right;
	background-image : url( ../img/treeviews/loading.gif);
}

div.editAssistant {
	background-color : white;
	border   : 1px solid #666;
	display  : none;
	overflow : hidden;
	position : absolute;
	z-index  : 30000;
}

div.editAssistant div.content {
	overflow : auto;
}

div.editAssistant div.statut {
	padding : 1px 2px;
	height  : 15px;
	border-top : 1px solid black;
	font-weight : bold;
	background-color : #ddd;
}

.editAssistant * {
	white-space : nowrap;
	text-align : left;
	vertical-align : top;
}

.editAssistant .content table tr td {
	padding : 1px 4px;
}
.editAssistant .content table tr:hover {
	background-color : blue;
	color : white;
}

.editAssistant .selected {
	background-color : blue;
	color : white;
}

/* Navigateur */

div.datasourceNavigator {
	border  : 0;
	padding : 2px 2px 2px 2px;
	margin  : 0;
	background: repeat-x url( ../img/bkgnd/degrade.gif) #6291D1;
	height: 24px;
}

div.datasourceNavigator * {
	white-space : nowrap;
	vertical-align : middle;
}

table.datasourceNavigator td.navigatorTitle {
	padding : 0 4px;
}

/* Pour mettre des ho:Title dans les title des dataSourceNavigator */
table.datasourceNavigator td.navigatorTitle h1 {
	background: none;
	display: inline-block;
	font-size   : 12px;
}

table.datasourceNavigator  label, table.datasourceNavigator .navigatorTitle span {
	color : white !important;
}

table.datasourceNavigator .navigatorTitle {
	font-weight : bold;
	font-size   : 12px;
	background-image : none;
	overflow : hidden;
}

table.datasourceNavigator .separator {
	background-image : url( ../img/bkgnd/sep.gif);
	background-position : center;
	background-repeat : repeat-y;
}


table.datasourceNavigator {
	table-layout: fixed;
	height : 24px;
	width  : 100%;
}

table.datasourceNavigator td.filter {
	padding : 0px;
	width   : 88px;
}

table.datasourceNavigator .filter input {
	width : 80px;
	background-color: #F5FAFF;
	border  : 1px solid #EEE;
	padding :2px;
}

table.datasourceNavigator td.separator {
	width : 6px;
}
table.datasourceNavigator td.button {
	width: 28px;
}
table.datasourceNavigator td.button span {
	background-position : center ;
	background-repeat   : no-repeat;
	zoom	: 1;
	display : -moz-inline-box;
	display : inline-block;
	border  : 0;
	width  : 20px;
	height : 20px;
	padding : 1px 3px;
}
table.datasourceNavigator td.buttonPopup span.popup {
    width      : 10px;
    background : url(../img/menus/dropDown.gif) no-repeat center;
}
table.datasourceNavigator td.buttonPopup {
    padding    : 1px 3px;
}
table.datasourceNavigator td.button .buttonOver, table.datasourceNavigator td.buttonOver {
	border  : 1px outset #CEDEF7;
	background-color : #DEF7FF;
	padding : 0 2px;
}
table.datasourceNavigator td.button .buttonActive, table.datasourceNavigator td.buttonActive {
	border  : 1px inset #CEDEF7;
	padding : 0 2px;
}
table.datasourceNavigator td.button span.filterImg { background-image: url( ../img/dataviews/filter.gif); }
table.datasourceNavigator td.button span.addNew    { background-image: url( ../img/dataviews/addNew.gif); }
table.datasourceNavigator td.button span.edit      { background-image: url( ../img/dataviews/edit.gif); }
table.datasourceNavigator td.button span.delete    { background-image: url( ../img/dataviews/delete.gif); }
table.datasourceNavigator td.button span.undelete  { background-image: url( ../img/dataviews/undelete.gif); }
table.datasourceNavigator td.button span.post      { background-image: url( ../img/dataviews/post.gif); }
table.datasourceNavigator td.button span.cancel    { background-image: url( ../img/dataviews/cancel.gif); }
table.datasourceNavigator td.button span.refresh   { background-image: url( ../img/dataviews/refresh.gif); }
table.datasourceNavigator table td span.equipFilt { background-image: url( ../img/dataviews/bouclier.gif); }

.autoEdit table.datasourceNavigator td.button.edit,
.readOnly table.datasourceNavigator td.sepEditButtons,
.readOnly table.datasourceNavigator td.button.post,
.readOnly table.datasourceNavigator td.button.cancel,
.readOnly table.datasourceNavigator td.button.addNew,
.readOnly table.datasourceNavigator td.button.edit,
.readOnly table.datasourceNavigator td.button.delete,
.browsing table.datasourceNavigator td.button.post,
.browsing table.datasourceNavigator td.button.cancel,
.editing  table.datasourceNavigator td.button.refresh,
.editing  table.datasourceNavigator td.button.addNew,
.editing  table.datasourceNavigator td.button.edit,
.denyIns  table.datasourceNavigator td.button.addNew,
.denyUpd  table.datasourceNavigator td.button.edit,
.denyDel  table.datasourceNavigator td.button.delete,
.editing  table.datasourceNavigator td.button.delete {
	width : 0px !important;
	visibility : hidden;
}

table.datasourceNavigator td.counters {
	width   : 110px;  /* Cette largeur est calulée pour pouvoir afficher des valeurs comme 9999-9999/9999 */
	padding : 0;
	white-space : nowrap;
	text-align  : center;
	overflow    : hidden;
	vertical-align : middle;
}
table.datasourceNavigator td.counters * {
	padding : 0;
	border  : 0;
	margin  : 0;
}
table.datasourceNavigator td.counters tr {
	height      : 11px;
	line-height : 11px;
}
table.datasourceNavigator td.counters td {
	background-position : center;
}
table.datasourceNavigator td.counters td.firstPage { background-image: url( ../img/dataviews/LFirst.gif); }
table.datasourceNavigator td.counters td.predPage  { background-image: url( ../img/dataviews/LPrev.gif); }
table.datasourceNavigator td.counters td.nextPage  { background-image: url( ../img/dataviews/LNext.gif); }
table.datasourceNavigator td.counters td.lastPage  { background-image: url( ../img/dataviews/LLast.gif); }
.notPaged table.datasourceNavigator td.counters td {
	background-image: none;
}

table.datasourceNavigator td.counters div {
/*	background-color: #F5FAFF;*/
	padding : 1px 2px 2px 0;
	color   : white;
}

/* DataSourceNavigator vert pour CQ */
.datasourceNavigator.dsnGreen { background: repeat-x url( ../img/bkgnd/degradeVert.gif) #85CD75; }
div.gridViewV {
    position : relative;
    -moz-user-focus  : normal !important;
    scrollbar-base-color   : #E8FCE1;
    scrollbar-face-color   : #E8FCE1;
    scrollbar-arrow-color  : #85CD75;
    scrollbar-shadow-color : #85CD75;
}

/* Grilles de données */

div.gridView {
	position : relative;
	-moz-user-focus  : normal !important;
	scrollbar-base-color   : #D3EAFF;
	scrollbar-face-color   : #D3EAFF;
	scrollbar-arrow-color  : #4A7BD6;
	scrollbar-shadow-color : #76A4D8;
}

div.gridView tr.gridColWidths {
	height:0px !important;
	overflow:hidden;
	visibility:collapse;
	padding-top:0;
	padding-bottom : 0;
}

div.gridView .gridColWidths th {
	border-style:none !important;
	height:0px !important;
	padding-top:0;
	padding-bottom : 0;
}

div.gridView table {
	table-layout: fixed;
	border-collapse: collapse;
	overflow : hidden;
}

div.gridView div.dataContainer {
	position : relative;
	overflow : scroll;
	overflow-x : auto;
	width    : 100%;
}

div.gridView div.dataContainer div.data {
	position : absolute;  /* Permet de contourner un bug de IE7 */
}

div.gridView div.dataContainer table.editors {
	position : absolute;
	table-layout : fixed;
	overflow : hidden;
}

div.gridView th, div.gridView td {
	overflow   : hidden;
	padding	 : 2px 4px;
}

div.gridView .editors td {
	/* ATTENTION tout changement dans le padding doit être répercuté dans GridDataViewEditorLine.show() et plus précisément dans l'appel de _adjustTableColsWidth */
	padding	 : 1px 2px;
}

div.gridView th.sortable * {
	cursor : pointer;
}

div.gridView th div {
	overflow : hidden;
	width    : 100%;
	white-space: nowrap;
	text-overflow:ellipsis;
	border:0;
}

div.gridView, .data tr {
	height : 22px;
}

.gridView .nowrap {
	overflow : hidden;
	white-space : nowrap;
	text-overflow:ellipsis;
}

div.gridView .data tr td.selector {
	vertical-align : top;
	white-space : nowrap;
	overflow : hidden;
}

div.gridView .data td.selector input {
	margin  : 0;
	padding : 0;
}

div.gridView span.toggleCalcGridOff {
	width : 24px;
	padding : 0;
	cursor : pointer;
	background : url( ../img/dataviews/sigma.gif) no-repeat center;
}

div.gridView span.toggleCalcGridOn {
	width : 24px;
	padding : 0;
	cursor : pointer;
	background : url( ../img/dataviews/calc.gif) no-repeat center;
}


/* Propriétés liées à la présentation */

.gridView .gridPropMenu {
	background : url( ../img/std/property.gif) no-repeat center;
}

div.gridView .header, div.gridView .footer {
	position : relative;
	background : repeat-x url( ../img/bkgnd/GridHead2.gif) #BCDAFC;
	color : #000080;
}

div.gridView .footerAlert {
	position : relative;
	background : repeat-x url( ../img/bkgnd/GridHead4.gif) #516A8D;
	color : white;
}

div.gridView span.gridToolButton {
	position   : absolute;
	z-index    : 1000;
	background : no-repeat center url( ../img/dataviews/property.gif) aliceBlue ;
	width      : 17px;
	height     : 17px;
	top        : 3px;
}

div.gridView .groupCaptions th {
	border-right  : 1px solid #D6E4F8;
	border-bottom : 1px solid #D6E4F8;
	text-align    : center;
}

div.gridView th, div.gridView td {
	border-right : 1px solid #D6E4F8;
}

no div.gridView .data td, no div.gridView table.editors {
	border-bottom : 1px solid #DDD;  /* On remplace le padding des cellules par une bordure signalant la ligne en cours d'édition */
	border-top    : 1px solid #DDD;
}

div.gridView table .last {
	border  : 0 !important;
}

div.gridView .header th span.sort {
	zoom	: 1;
	display : -moz-inline-box;
	display : inline-block;
	width   : 10px;
	background: center center no-repeat url( ../img/dataviews/sortNone.gif);
}

div.gridView .header th.ASC  span.sort {
	background-image : url( ../img/dataviews/sortASC.gif);
}

div.gridView .header th.DESC span.sort {
	background-image : url( ../img/dataviews/sortDESC.gif);
}

div.gridView .data tr:focus{
	outline : none;
}

div.gridView .data tr.odd {
/* Affichage des lignes impaires */
	background-color: white;
}

div.gridView .data tr.even {
/* Affichage des lignes paires */
	background-color: aliceblue;
}

div.gridView .data tr.current {
/* Affichage de la ligne active */
	background-color:#FFFFCC;
	color:Blue;
}

div.gridView .data tr.supprime {
	background-image    : url(../../hfs/img/bkgnd/hLineGray.gif);
	background-repeat   : repeat-x;
	background-position : 0px 50%;
}

div.gridView .data tr td.recState {
	background-position : center right;
	background-repeat   : no-repeat ;
}

div.gridView .data tr.state0 td.recState { background-image : url( ../img/dataviews/unchanged.gif) }
div.gridView .data tr.state1 td.recState { background-image : url( ../img/dataviews/updated.gif) }
div.gridView .data tr.state2 td.recState { background-image : url( ../img/dataviews/inserted.gif) }
div.gridView .data tr.state3 td.recState { background-image : url( ../img/dataviews/inserting.gif) }
div.gridView .data tr.state4 td.recState { background-image : url( ../img/dataviews/deleted.gif) }
div.gridView .data tr.state4 {
	text-decoration : line-through;
	font-style : italic;
}

/* Grilles vertes pour CQ */
div.gridViewV .header, div.gridViewV .footer {
    position : relative;
    background : repeat-x url( ../img/bkgnd/GridHead3.gif) #F8FEF6;
    color : #008000;
}
div.gridViewV .data tr.odd { background-color: white;}
div.gridViewV .data tr.even { background-color: #F1FFF1;}
div.gridViewV .data tr.current { background-color:#C0FFC0; color:#014701;}

/* checkBoxGroupPopup */

div.checkBoxGroupPopupPopup {
	position : absolute;
	z-index  : 1006;
	display  : none;
	overflow : auto;
	border   : 1px solid black;
	background-color : white;
	white-space : nowrap;
}

div.checkBoxGroupPopupPopup div {
	padding : 2px;
}

div.checkBoxGroupPopupPopup div:hover {
	background-color:#FFFFCC;
	cursor : pointer;
}

/* NmclMultiValuesFieldEdit */
div.nmclMultiValuesFieldEdit {
    display    : inline-block;
    overflow   : hidden;
    white-space: nowrap;
}
div.nmclMultiValuesFieldEdit img.btn {
    cursor  : hand;
    cursor  : pointer;
	padding : 1px 2px;
   	border  : 1px none;
}
div.nmclMultiValuesFieldEdit img.btnOver {
	padding : 0 1px;
	border-style: outset;
}
div.nmclMultiValuesFieldEdit img.btnActive {
	padding : 0 1px;
	border-style: inset;
}
div.nmclMultiValuesFieldEditHelp span.code {
    margin      : 0 1px;
    padding     : 0 1px;
    display     : inline-block;
    border      : 1px solid lightgray;
    line-height : 17px;
    font-weight : bold;
    cursor      : hand;
    cursor      : pointer;
    background-color : white;
}
div.nmclMultiValuesFieldEditHelp span.code:hover {
    background : url(../img/std/non.gif) no-repeat center center;
    opacity    : 0.5;
}

.colorPicker input {
	width: 64px !important;
}
.colorPicker .btn, .colorPicker .btnOver, .colorPicker .btnActive {
	width   : 22px;
	height  : 18px;
	background: center center no-repeat url( ../img/buttons/codeFieldSearch.gif);
	border  : 1px none;
	padding : 1px 2px;
}
.colorPicker .btnOver {
	padding : 0 1px;
	border-style: outset;
}
.colorPicker .btnActive {
	padding : 0 1px;
	border-style: inset;
}

.unicodeIconPicker input {
	width: 64px !important;
}
.unicodeIconPicker .icon {
	width   : 22px;
	height  : 18px;
	padding : 1px 2px;
	font-size: 16px;
}
.iconPickerPopup {
	z-index: 1050 !important;
	width: 280px;
	position: absolute;
	top: 50%;
	left: 50%;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ccc;
	border: 1px solid rgba(0,0,0,.2);
	border-radius: 6px;
	box-shadow: 0 5px 10px rgba(0,0,0,.2);
}
.iconPickerPopup .content, .htmlEditPopup .content {
	padding: 9px 14px;
}
.iconPickerPopup .content input, .htmlEditPopup .content input {
	width: 225px;
	margin: 6px 0;
	padding: 6px 12px;
	font-size: 14px;
	border: 1px solid #ccc;
	border-radius: 4px;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
}
.iconPickerPopup .content-icons, .htmlEditPopup .content-values {
	max-height: 250px;
	overflow-x: hidden;
	overflow-y: auto;
}
.iconPickerPopup .icons td, .htmlEditPopup .value {
	padding: 4px 0;
	font-size: 16px;
	text-align: center;
	border: 1px solid #ccc;
	border-radius: 4px;
	box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
}
.iconPickerPopup .icons td, .iconPickerPopup .icons td img, .htmlEditPopup .value {
	cursor: hand;
	cursor: pointer;
}

.iconPickerPopup .icons td:hover, .htmlEditPopup .value:hover {
	background-color: #e6e6e6;
	border-color: #adadad;
}

.dataEditorReadOnly .unicodeButtonIconPicker .iconPicker {
	background-color:transparent !important;
	color: gray;
	cursor:default;
}
.unicodeButtonIconPicker .iconPicker {
	display: inline-block;
	background-color:white;
	width: 44px;
	border: 1px solid #999;
	height: 20px;
	cursor: hand;
	cursor: pointer;
}
.unicodeButtonIconPicker .iconPicker .icon {
	display: inline-block;
	width: 22px;
	padding: 1px 2px;
	font-size: 14px;
	text-align: center;
}
.unicodeButtonIconPicker .caret{
	margin-left: 4px;
	display: inline-block;
	border-top: 4px dashed;
	border-right: 4px solid transparent;
	border-left: 4px solid transparent;
}
.unicodeButtonIconPicker .iconPickerOver {
}
.unicodeButtonIconPicker .iconPickerActive {
}
